import * as React from 'react';
import { BaseComponent } from '../../common/BaseComponent';
import { IDropdownProps } from './Dropdown.Props';
import './Dropdown.scss';
export interface IDropdownState {
    isOpen: boolean;
    selectedIndex: number;
    isDisabled: boolean;
}
export declare class Dropdown extends BaseComponent<IDropdownProps, any> {
    static defaultProps: {
        options: any[];
    };
    private static Option;
    refs: {
        [key: string]: React.ReactInstance;
        root: HTMLElement;
    };
    private _eventGroup;
    private _optionList;
    private _dropDown;
    constructor(props?: IDropdownProps);
    componentWillReceiveProps(newProps: IDropdownProps): void;
    componentWillUpdate(nextProps: IDropdownProps, nextState: IDropdownState): void;
    componentWillUnmount(): void;
    componentDidUpdate(prevProps: IDropdownProps, prevState: IDropdownState): void;
    render(): JSX.Element;
    focus(): void;
    setSelectedIndex(index: number): void;
    private _getSelectedIndex(options, selectedKey);
    private _onDropdownKeyDown(ev);
    private _onDropdownClick();
    private _onFocusChange(ev);
    private _scrollSelectedItemIntoView();
    private _scrollOnOpen();
    private _getCurrentItemPositionDetails();
}
